Subject: Inherit decors & menustyles + syntax stuff

From: [email-masked]
Date: Tue, 29 Dec 1998 06:04:48 -0600 (CST)

Full_Name: Pekka Marjola
Version: 2.1.7
CVS_Date: 1998-12-29 10:00 EET
OS: HP-UX 10.01
X_Server: X11R5
Submission from: (NULL) (131.228.178.132)

It would quite useful to be able inherit decors & menustyles like UseStyle.

For example, I like to use courier font for some menus and now I have to
respecify
all attributes for those menus instead of just changing some items.

Default decoration is named Default, but default menustyle or style is *.

Maybe ButtonStyle e.a. should only be available with AddToDecor command.

The syntax of Style, AddToDecor and SetMenuStyle is similar to each other,
but not
the same. It would be easier, if they would all use just one syntax - maybe
menu
syntax. The commands could also be named named similarly, say AddToStyle,
AddToDecor
and AddToMenuStyle. (Are decors supposed to be added to Style in GSFR?)

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].